## nginx 0.7.65

=== debian/changelog ===
nginx (0.7.65-1ubuntu2.1) lucid-security; urgency=low

  * SECURITY UPDATE:
    - debian/patches/nginx-null_byte_in_urls.patch: Merge r3528 from
      upstream repository to mitigate potential null byte vulnerability
      (LP: #783508)

 -- Neal Poole <neal@nealpoole.com>  Fri, 17 Jun 2011 20:44:44 -0400

nginx (0.7.65-1ubuntu2) lucid; urgency=low

  * Re-enable http_realip_module (debian/rules).
    Apparently got lost by accident for the 0.7 branch (Closes: #507419)
    LP: #268750

 -- Daniel Hahler <ubuntu@thequod.de>  Fri, 05 Mar 2010 01:36:05 +0100

nginx (0.7.65-1ubuntu1) lucid; urgency=low

  * Merge from debian testing. (LP: #531655) Remaining changes:
    - Add a UFW profile set: 
      + debian/nginx.ufw.profile: Added.
      + debian/control: nginx: Suggests ufw.
      + debian/dirs: Add 'etc/ufw/applications.d'
      + debian/rules: Add install rule for the nginx UFW profile.
    - Install html files.
      - debian/dirs: Add 'var/www/nginx-default'.
      - debian/nginx.install: Add 'html/* var/www/nginx-default'.

 -- Daniel Hahler <ubuntu@thequod.de>  Wed, 03 Mar 2010 23:50:36 +0100

nginx (0.7.65-1) unstable; urgency=low

  [Kartik Mistry]
  * New upstream release
  * debian/init.d:
    + $local_fs $remote_fs $network $syslog is what we need in Required-Start
    and Required-Stop (Closes: #568238)
  * debian/copyright:
    + Updated package copyright year
    + Updated license text to make same as upstream license

 -- Kartik Mistry <kartik@debian.org>  Fri, 05 Feb 2010 11:20:28 +0530

nginx (0.7.64-3) unstable; urgency=low

  [Kartik Mistry]
  * debian/conf/sites-available/default:
    + Added patch to fix default virtual host, Thanks to Thomas Venieris
     <mot@freemail.gr> (Closes: #564726)
  * debian/init.d:
    + Added dependency on $remote_fs in Required-Start and Required-Stop
      (Closes: #566862)
  * Converted package to use 3.0 (quilt) source format
  * Updated to Standards-Version 3.8.4

 -- Kartik Mistry <kartik@debian.org>  Mon, 01 Feb 2010 23:44:21 +0530

nginx (0.7.64-2ubuntu1) lucid; urgency=low

  * Merge from debian testing (LP: #513099), remaining changes:
    - Install html files.
      - debian/dirs: Add 'var/www/nginx-default'.
      - debian/nginx.install: Add 'html/* var/www/nginx-default'.
    - Add a UFW profile set: 
      + debian/nginx.ufw.profile: Added.
      + debian/control: nginx: Suggests ufw.
      + debian/dirs: Add 'etc/ufw/applications.d'
      + debian/rules: Add install rule for the nginx UFW profile.
  * Fixes CVE-2009-3555, as per changelog entry in 0.7.64-1. (LP: #511681)

 -- Mathieu Trudel <mathieu-tl@ubuntu.com>  Wed, 27 Jan 2010 00:29:44 -0500

nginx (0.7.64-2) unstable; urgency=low

  [Kartik Mistry]
  * debian/rules:
    + Used dh_prep instead of dh_clean -k
  * debian/control:
    + Added ${misc:Depends} in Depends
  * Added patch for adding debug package, Thanks to Matthew Palmer
    <mpalmer@debian.org> (Closes: #563339)
  * debian/copyright:
    + Added missing copyright owners for Debian package and fixed year and
    licence doesn't point to versionless symlink

  [Fabio Tranchitella]
  * debian/init.d:
    + Added patch from Wouter de Bie to add $DAEMON_OPTS in
    test_nginx_config()

 -- Kartik Mistry <kartik@debian.org>  Sat, 09 Jan 2010 11:15:59 +0530

nginx (0.7.64-1) unstable; urgency=medium

  [Kartik Mistry]
  * Urgency set to medium due to security issue
  * New upstream release (Closes: #557602)
    + fixes SSL renegotiation vuln CVE-2009-3555 (Closes: #557873)
  * debian/nginx.1:
    + Corrected homepage entry (Closes: #556617)
    + Minor whitespace and empty line cleanups, added SEE ALSO section. Used
      .TP instead of .br, Added missing options, and this should
      (Closes: #556616)
  * debian/copyright:
    + Used © instead of deprecated (C) symbol
    + Formatted some texts
  * debian/control:
    + Added myself as uploader
    + Wrapped and rearranged Build-Depends for better readability
  * debian/patches/dlopen.dpatch:
    + Fixed patch name in comment
    + Added missing DP comment from changelog
  * debian/rules:
    + Minor fixes related to formatting of file and whitespaces
  * debian/watch:
    + Removed comments out of it

 -- Kartik Mistry <kartik@debian.org>  Fri, 27 Nov 2009 11:10:18 +0530

nginx (0.7.63-1ubuntu1) lucid; urgency=low

  * Merge from debian testing (LP: #490450), remaining changes:
    - Install html files.
      - debian/dirs: Add 'var/www/nginx-default'.
      - debian/nginx.install: Add 'html/* var/www/nginx-default'.
    - Added a UFW profile set: (LP: #308695)
      + debian/nginx.ufw.profile: Added.
      + debian/control: nginx: Suggests ufw.
      + debian/dirs: Added 'etc/ufw/applications.d'
      + debian/rules: Added install rule for the nginx UFW profile. 

 -- Andres Rodriguez <andreserl@ubuntu.com>  Mon, 30 Nov 2009 13:34:00 -0500

nginx (0.7.63-1) unstable; urgency=low

  * New upstream release.

 -- Fabio Tranchitella <kobold@debian.org>  Sun, 08 Nov 2009 09:53:46 +0100

nginx (0.7.62-4ubuntu1) karmic; urgency=low

  * Merge from debian unstable (LP: #450874), remaining changes:
    - Install html files.
      - debian/dirs: Add 'var/www/nginx-default'.
      - debian/nginx.install: Add 'html/* var/www/nginx-default'.
    - Added a UFW profile set: (LP: #308695)
      + debian/nginx.ufw.profile: Added.
      + debian/control: nginx: Suggests ufw.
      + debian/dirs: Added 'etc/ufw/applications.d'
      + debian/rules: Added install rule for the nginx UFW profile.
  * Closes: LP: #260005, LP: #440888

 -- Daniel Hahler <ubuntu@thequod.de>  Mon, 19 Oct 2009 23:22:06 +0200

nginx (0.7.62-4) unstable; urgency=low

  * debian/conf/nginx.conf: commented out the mail proxy example.
    (Closes: #551682)
  * debian/init.d: do not redirect the output of nginx -t.
    (Closes: #551683)

 -- Fabio Tranchitella <kobold@debian.org>  Thu, 22 Oct 2009 19:50:05 +0200

nginx (0.7.62-3) unstable; urgency=low

  * debian/rules: fix the FTBFS on sparc.


