=== debian/control ===
Source: nginx
Section: httpd
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jose Parrella <bureado@debian.org>
Uploaders: Fabio Tranchitella <kobold@debian.org>,
 Kartik Mistry <kartik@debian.org>
Build-Depends: debhelper (>= 7),
               autotools-dev,
               libssl-dev,
               libpcre3-dev,
               zlib1g-dev
Standards-Version: 3.8.4
Homepage: http://nginx.net
Vcs-Svn: svn://svn.debian.org/svn/collab-maint/deb-maint/nginx/trunk
Vcs-Browser: http://svn.debian.org/wsvn/collab-maint/deb-maint/nginx/trunk

Package: nginx
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, lsb-base (>= 3.2-14)
Suggests: ufw
Provides: httpd
Description: small, but very powerful and efficient web server and mail proxy
 Nginx (engine x) is a web server created by Igor Sysoev and kindly provided to
 the open-source community. This server can be used as standalone HTTP server
 and as a reverse proxy server before some Apache or another big server to
 reduce load to backend servers by many concurrent HTTP-sessions.
 .
 It can also act as a POP3/IMAP mail proxy with SSL and TLS SNI support.

Package: nginx-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${misc:Depends}, nginx (= ${binary:Version})
Description: Debugging symbols for nginx
 Nginx (engine x) is a web server created by Igor Sysoev and kindly provided to
 the open-source community. This server can be used as standalone HTTP server
 and as a reverse proxy server before some Apache or another big server to
 reduce load to backend servers by many concurrent HTTP-sessions.
 .
 This package provides debugging symbols for nginx, to assist in debugging
 issues that you may find.  It should not be required for normal operation.
