## nginx 0.7.67

=== debian/changelog ===
nginx (0.7.67-3+squeeze4+deb6u1) squeeze-lts; urgency=high

  * CVE-2016-0742: Invalid pointer dereference might occur during DNS server
    response processing, allowing an attacker who is able to forge UDP packets
    from the DNS server to cause worker process crash. (Closes: #812806)

 -- Chris Lamb <lamby@debian.org>  Wed, 27 Jan 2016 09:58:15 +0100

nginx (0.7.67-3+squeeze4) squeeze-lts; urgency=high

  * LTS upload.
  * CVE-2014-3616: "it was possible to reuse SSL sessions in unrelated
    contexts if a shared SSL session cache or the same TLS session ticket
    key was used for multiple "server" blocks".  Well, now it ain't.
  * Patch auto/os/linux to account for newer kernel versions that are
    formatted differently.

 -- Matt Palmer <mpalmer@debian.org>  Wed, 17 Sep 2014 08:25:20 +1000

nginx (0.7.67-3+squeeze3) stable-security; urgency=high

  * debian/patches/CVE-2012-4929.diff:
    + Fixes the vulnerability to CRIME SSL attack. See: CVE-2012-4929 for more
      details.(Closes: #700426).

 -- Cyril Lavier <cyril.lavier@davromaniak.eu>  Wed, 13 Feb 2013 14:32:44 +0100

nginx (0.7.67-3+squeeze2) stable-security; urgency=high

  * debian/patches/CVE-2012-1180.diff:
    + Fixed the memory issue found on March 15th 2012. See: CVE-2012-1180 for
      more details.
  * debian/control:
    + Added myself as uploader.

 -- Cyril Lavier <cyril.lavier@davromaniak.eu>  Fri, 16 Mar 2012 17:55:22 +0530

nginx (0.7.67-3+squeeze1) stable; urgency=low

  * debian/patches/CVE-2011-4315.diff:
    + Fixed compression pointer processing in DNS response greater than 255
      bytes. See: CVE-2011-4315 for more details.

 -- Kartik Mistry <kartik@debian.org>  Wed, 23 Nov 2011 13:47:10 +0530

nginx (0.7.67-3) unstable; urgency=low

  * debian/rules:
    + Readded the configure option --with-mail_ssl_module, Thanks to Roland
      Rosenfeld <roland@spinnaker.de> (Closes: #590815)
  * debian/control:
    + Updated Standards-Version to 3.9.1 (no changes needed)

 -- Kartik Mistry <kartik@debian.org>  Thu, 29 Jul 2010 21:41:52 +0530

nginx (0.7.67-2) unstable; urgency=low

  * debian/conf/sites-available/default:
    + Removed reference to SSLv2 protocol (Closes: #589139)
  * debian/control:
    + Updated Standards-Version to 3.9.0
  * debian/copyright:
    + Don't point to BSD license file, included exact upstream version of
      license text
    + Added missing copyright owner for contrib/ scripts
    + debian/* license is same as upstream now as discussed with co-maintainers

 -- Kartik Mistry <kartik@debian.org>  Mon, 19 Jul 2010 10:36:32 +0530

nginx (0.7.67-1) unstable; urgency=low

  * New upstream release

 -- Kartik Mistry <kartik@debian.org>  Wed, 16 Jun 2010 01:26:51 +0530

nginx (0.7.65-7) unstable; urgency=low

  [Kartik Mistry]
  * debian/rules:
    + Enabled HTTPSubModule module in configure (Closes: #584828)
    + Arranged configure options in better manner

 -- Kartik Mistry <kartik@debian.org>  Mon, 07 Jun 2010 14:33:24 +0530

nginx (0.7.65-6) unstable; urgency=low

  [Kartik Mistry]
  * debian/README.Debian:
    + Fixed typo and somewhat better wordings
  * debian/conf/mime.types:
    + Added entry to support 7zip files (Closes: #580423)
  * debian/init.d:
    + Do not print config testing info until an error found, Thanks to Ubuntu
      bug 568293
  * debian/copyright:
    + Updated as per DEP-5 specification

 -- Kartik Mistry <kartik@debian.org>  Sat, 22 May 2010 01:41:33 +0530

nginx (0.7.65-5) unstable; urgency=low

  [Kartik Mistry]
  * debian/patches/fix_reloading_ipv6.diff:
    + Added patch to fix reloading with IPv6 addresses, Thanks to
      Matthias-Christian Ott <ott@mirix.org> for patch (Closes: #577456)

 -- Kartik Mistry <kartik@debian.org>  Wed, 14 Apr 2010 11:36:48 +0530

nginx (0.7.65-4) unstable; urgency=low

  [Kartik Mistry]
  * debian/conf/sites-available/default:
    + Really listen for both IPv4 and IPv6 addresses. Thanks to Nikolaus
      Schulz <microschulz@web.de> for notice (Closes: #574983)
  * debian/control, debian/rules:
    + Added GeoIP support, Thanks to Caetano Carezzato
      <caetano@vision.ime.usp.br> (Closes: #575280)
  * debian/conf/mime.types:
    + Added svg entry to mime.types, Jeremy Lal <kapouer@melix.org>
      (Closes: #575155)

 -- Kartik Mistry <kartik@debian.org>  Thu, 25 Mar 2010 00:21:50 +0530

nginx (0.7.65-3) unstable; urgency=medium

  [Kartik Mistry]
  * Urgency set to medium due to Release Goal
  * debian/conf/sites-available/default:
    + Listen for both IPv4 and IPv6 addresses by default (Closes: #574983)

 -- Kartik Mistry <kartik@debian.org>  Tue, 23 Mar 2010 10:30:18 +0530

nginx (0.7.65-2) unstable; urgency=low

  * debian/README.Debian:
    + Added explanation about not installing files in /var/www/
      (Closes: #572513)
  * debian/rules:
    + Readded realip module support (Closes: #507419)

 -- Kartik Mistry <kartik@debian.org>  Sat, 06 Mar 2010 13:14:48 +0530
