=== debian/control ===
--- 
+++ 
@@ -1,24 +1,26 @@
 Source: nginx
 Section: httpd
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jose Parrella <bureado@debian.org>
+Maintainer: Jose Parrella <bureado@debian.org>
 Uploaders: Fabio Tranchitella <kobold@debian.org>,
- Kartik Mistry <kartik@debian.org>
-Build-Depends: debhelper (>= 7),
-               autotools-dev,
+           Kartik Mistry <kartik@debian.org>,
+           Cyril Lavier <cyril.lavier@davromaniak.eu>
+Build-Depends: autotools-dev,
+               debhelper (>= 7),
+               libgeoip-dev,
+               libpcre3-dev,
                libssl-dev,
-               libpcre3-dev,
                zlib1g-dev
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Homepage: http://nginx.net
 Vcs-Svn: svn://svn.debian.org/svn/collab-maint/deb-maint/nginx/trunk
 Vcs-Browser: http://svn.debian.org/wsvn/collab-maint/deb-maint/nginx/trunk
 
 Package: nginx
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, lsb-base (>= 3.2-14)
-Suggests: ufw
+Depends: lsb-base (>= 3.2-14),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Provides: httpd
 Description: small, but very powerful and efficient web server and mail proxy
  Nginx (engine x) is a web server created by Igor Sysoev and kindly provided to
@@ -32,7 +34,8 @@
 Architecture: any
 Section: debug
 Priority: extra
-Depends: ${misc:Depends}, nginx (= ${binary:Version})
+Depends: nginx (= ${binary:Version}),
+         ${misc:Depends}
 Description: Debugging symbols for nginx
  Nginx (engine x) is a web server created by Igor Sysoev and kindly provided to
  the open-source community. This server can be used as standalone HTTP server
