=== debian/rules ===
--- 
+++ 
@@ -23,22 +23,24 @@
 endif
 	./configure --conf-path=/etc/nginx/nginx.conf \
 	    --error-log-path=/var/log/nginx/error.log \
+	    --http-client-body-temp-path=/var/lib/nginx/body \
+	    --http-fastcgi-temp-path=/var/lib/nginx/fastcgi \
+	    --http-log-path=/var/log/nginx/access.log \
+	    --http-proxy-temp-path=/var/lib/nginx/proxy \
+	    --lock-path=/var/lock/nginx.lock \
 	    --pid-path=/var/run/nginx.pid \
-	    --lock-path=/var/lock/nginx.lock \
-	    --http-log-path=/var/log/nginx/access.log \
-	    --http-client-body-temp-path=/var/lib/nginx/body \
-	    --http-proxy-temp-path=/var/lib/nginx/proxy \
-	    --http-fastcgi-temp-path=/var/lib/nginx/fastcgi \
 	    --with-debug \
-	    --with-http_stub_status_module \
+	    --with-http_dav_module \
 	    --with-http_flv_module \
-	    --with-http_ssl_module \
-	    --with-http_dav_module \
+	    --with-http_geoip_module \
 	    --with-http_gzip_static_module \
 	    --with-http_realip_module \
+	    --with-http_stub_status_module \
+	    --with-http_ssl_module \
+	    --with-http_sub_module \
+	    --with-ipv6 \
 	    --with-mail \
 	    --with-mail_ssl_module \
-	    --with-ipv6 \
 	    --add-module=$(CURDIR)/modules/nginx-upstream-fair \
             $(CONFIGURE_OPTS)
 
@@ -69,8 +71,6 @@
 	dh_prep
 	dh_installdirs
 	dh_install
-	
-	install -m644 debian/nginx.ufw.profile debian/nginx/etc/ufw/applications.d/nginx
 
 binary-indep:
