=== debian/watch ===
version=3
http://sysoev.ru/nginx/ nginx-([\.0-9]+)\.tar\.gz
