## nginx 0.8.54

=== debian/changelog ===
nginx (0.8.54-4ubuntu0.1) natty-security; urgency=low

  * Security update (closes LP: #956150):
    * Patch to fix 'Use-after-free vulnerability' (CVE-2012-1180).
    * Patch to fix 'Heap-based buffer overflow in compression-pointer
      processing in core/ngx_resolver.c' (CVE-2011-4315).

 -- Thomas Ward <trekcaptainusa-tw@ubuntu.com>  Sun, 20 May 2012 13:05:42 -0400

nginx (0.8.54-4) unstable; urgency=low

  [Micheal Lustfield]
  * debian/nginx-{full,light,extras}.default:
    + Added comment about alternative to ULIMIT.
  * debian/nginx-{full,light,extras}.init.d:
    + Added quotes around a test variable. (Closes: #610946, LP: #699736)
  * debian/patches/609343-log-time-iso8601.diff:
    + Added patch to add $time_iso8601 variable to logs. (Closes: #609343)
  * Clean up old logrotate files. (Closes: #608983, Closes: #610289)
    + Added Files:
      - debian/nginx-common.preinst
    + Modified Files:
      - debian/rules
    + Moved debian/nginx-common.logrotate to debian/logrotate.
  * Added common files to nginx-common package. (Closes: #610290)
    + Removed Files:
      - debian/nginx-full.dirs
      - debian/nginx-light.dirs
      - debian/nginx-full.install
      - debian/nginx-light.install
      - debian/nginx-extras.install
      - debian/nginx.*
    + Added Files:
      - debian/nginx-common.default
      - debian/nginx-common.dirs
      - debian/nginx-common.init.d
      - debian/nginx-common.install
      - debian/nginx-common.manpages
      - debian/logrotate
    + Modified Files:
      - debian/nginx-extras.dirs
      - debian/control
      - debian/rules
  * debian/nginx-*.install: (Closes: #609797)
    + Removed NEWS.Debian from nginx-{full,light,extras}.install.
    + Added NEWS.Debian to nginx-common.install.
  * nginx-common.postinst:
    + Enforce /var/log/nginx mode and user:group. (Closes: #610983)
    + Enforce /var/log/nginx/*.log mode and user:group. (Closes: #612832)
  * debian/rules:
    + Added --with-file-aio to nginx-extras. (Closes: #613175)
    + Removed split clients and user id modules from nginx-light.
  * debian/conf/sites-available/default:
    + Fixed a minor typo ( s/Quickstart/QuickStart/ ). (Closes: #613355)
  * debian/conf/mime.types:
    + Changed xml type to application/xhtml+xml. (Closes: #613851)
  * debian/help/docs/fcgiwrap:
    + Removed Ubuntu specific line in docs. (Closes: #614987)
  * debian/conf/sites-available/default:
    + Fixed a pointer to a file. (Closes: #614980)

  [Kartik Mistry]
  * debian/*.lintian-overrides:
    + Add Lintian overrides for nginx man page. We've manpage in nginx-common
      binary

 -- Michael Lustfield <mtecknology@ubuntu.com>  Thu, 03 Mar 2011 23:39:07 +0530

nginx (0.8.54-3) unstable; urgency=low

  * debian/control:
    + Added Breaks: and Replaces: to nginx packages. (Closes: #609254)
  * debian/rules:
    + Adding SSL support to nginx-light. (Closes: #609134)
    + Adding HTTP Addition module to nginx-full and nginx-extras. (Closes: #609411)
    + Added HTTP Push module to nginx-extras. (LP: #694456)

 -- Michael Lustfield <mtecknology@ubuntu.com>  Tue, 11 Jan 2011 05:27:39 -0600

nginx (0.8.54-2) unstable; urgency=low

  * Do not install nginx.8 man page in debug packages (Closes: #608633)

 -- Kartik Mistry <kartik@debian.org>  Sun, 02 Jan 2011 18:46:03 +0530

nginx (0.8.54-1) unstable; urgency=low

  [ Michael Lustfield ]
  * Added ipv6 patch. (Closes: #607418)
    + Edited files:
      - src/http/ngx_http_request.c
  * Added ulmit patches. (Closes: #606094)
    + Added files:
      - debian/nginx-full.default
      - debian/nginx-light.default
      - debian/nginx-extras.default
    + Edited files:
      - debian/nginx-full.init.d
      - debian/nginx-light.init.d
      - debian/nginx-extras.init.d
  * Added perl module to nginx-extras. (Closes: #598461)
    + debian/rules:
      - Added --with-http_perl_module to nginx-extras.
    + debian/control:
      - Added libperl-dev build dependency.
    + debian/nginx-extras.install:
      - Added perl install files
    + debian/nginx-extras.dirs:
      - Added directory to install perl files.
  * debian/rules:
    + Added ifeq to handle nginx.8 (man page) if it exists in the source.
  * debian/control:
    + Added descriptions to make clear the differences between nginx packages.
  * Removed patches:
    + debian/patches/nginx-echo.diff
      - Put source into debian/patches/.
    + debian/patches/nginx-upstream-fair.diff
      - Put source into debian/patches/.
    + debian/patches/dlopen.diff
      - Patch no longer relevant.
  * Added modules:
    + debian/modules/nginx-development-kit
    + debian/modules/nginx-upstream-fair
    + debian/modules/nginx-echo
    + debian/modules/nginx-lua
  * Split Nginx into multiple variations of the package.
    + Added files for nginx-full:
      - debian/nginx-full.install
      - debian/nginx-full.dirs
      - debian/nginx-full.logrotate
      - debian/nginx-full.init.d
      - debian/nginx-full.postinst
      - debian/nginx-full.prerm
      - debian/nginx-full.postrm
    + Added files for nginx-light:
      - debian/nginx-light.install
      - debian/nginx-light.dirs
      - debian/nginx-light.logrotate
      - debian/nginx-light.init.d
      - debian/nginx-light.postinst
      - debian/nginx-light.prerm
      - debian/nginx-light.postrm
    + Added files for nginx-extras:
      - debian/nginx-extras.install
      - debian/nginx-extras.dirs
      - debian/nginx-extras.logrotate
      - debian/nginx-extras.init.d
      - debian/nginx-extras.postinst
      - debian/nginx-extras.prerm
      - debian/nginx-extras.postrm
    + Removed files for nginx:
      - debian/nginx.install
      - debian/nginx.dirs
      - debian/nginx.logrotate
      - debian/init.d
      - debian/postinst
      - debian/prerm
      - debian/postrm
    + Updated debian/rules:
      - Modified rules to create extra packages.
    + Updated debian/control:
      - Added packages for nginx-{full,light,extras}.

