## nginx 1.0.5

=== debian/changelog ===
nginx (1.0.5-1ubuntu0.1) oneiric-security; urgency=low

  * Security update (closes LP: #956150):
     * Patch to fix 'Use-after-free vulnerability' (CVE-2012-1180).
     * Patch to fix 'Heap-based buffer overflow in compression-pointer
       processing in core/ngx_resolver.c' (CVE-2011-4315).

 -- Thomas Ward <trekcaptainusa-tw@ubuntu.com>  Tue, 12 Jun 2012 12:52:27 -0400

nginx (1.0.5-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    + nginx Depends on either nginx-full or nginx-light, Thanks to
      Hans van Kranenburg <hans.van.kranenburg@mendix.com> (Closes: #633879)
  * debian/copyright:
    + Updated to latest DEP-5 specification
    + Added some missing copyrights for modules
    + Updated copyright years

 -- Kartik Mistry <kartik@debian.org>  Wed, 20 Jul 2011 10:16:45 +0530

nginx (1.0.4-1) unstable; urgency=low

  * New upstream release
  * debian/*.lintian-overrides, debian/rules:
    + Removed unused lintian for missing manpages

 -- Kartik Mistry <kartik@debian.org>  Wed, 01 Jun 2011 19:12:25 +0530

nginx (1.0.1-1) unstable; urgency=low

  * New upstream release
  * debian/rules:
    + Removed if surrounding copy of man/ as it is required for builds.
    + Added nginx-upload-progress to nginx-extras. (Closes: #618306)
    + Added nginx-secure-downloads to nginx-extras. (Closes: #622268)
    + Added --prefix to configure command. (Closes: #619482)
  * debian/modules:
    + Added nginx-upload-progress/*.
    + Added nginx-secure-download/*.
    + Updated nginx-lua/*.
    + Updated versions.
  * debian/control:
    + Added libmhash-dev build dependency.
    + Updated Standards-Version to 3.9.1.

 -- Michael Lustfield <mtecknology@ubuntu.com>  Mon, 09 May 2011 00:36:54 +0530

nginx (1.0.0-2) unstable; urgency=low

  * debian/rules:
    + Removed --with-file-aio support. Fixed FTBFS on kFreeBSD-* arch
      (Closes: #621882)

 -- Kartik Mistry <kartik@debian.org>  Sat, 16 Apr 2011 13:47:58 +0530

nginx (1.0.0-1) unstable; urgency=low

  [Kartik Mistry]
  * New upstream release:
    + Removed debian/patches/609343-log-time-iso8601.diff, merged upstream.
  * debian/rules:
    + Fixed: FTBFS on sparc64, detects sparc64 as sparc. Thanks to
      Aurelien Jarno <aurel32@debian.org> (Closes: #617924)
  * debian/watch:
    + Updated for 1.x.x release

  [Michael Lustfield]
  * debian/rules:
    + Added Echo module back to nginx-full. (LP: #735622)
    + Moved nginx-push-0.96 to nginx-http-push.
  * debian/modules:
    + Updated nginx-development-kit.
    + Updated nginx-echo.
    + Updated nginx-http-push.
    + Updated nginx-lua.
    + Updated nginx-upstream-fair.
    + Added versions to track module versions.
  * debian/conf/fastcgi_params:
    + Changed $document_root$fastcgi_script_name to $request_filename.

 -- Kartik Mistry <kartik@debian.org>  Thu, 14 Apr 2011 10:41:08 +0530
