=== debian/control ===
--- 
+++ 
@@ -11,26 +11,28 @@
                libgd2-noxpm-dev,
                libgeoip-dev,
                liblua5.1-dev,
+               libmhash-dev,
                libssl-dev,
                libpcre3-dev,
                libperl-dev,
                libxslt1-dev,
                zlib1g-dev
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://nginx.net
 Vcs-Svn: svn://svn.debian.org/svn/collab-maint/deb-maint/nginx/trunk
 Vcs-Browser: http://svn.debian.org/wsvn/collab-maint/deb-maint/nginx/trunk
 
 Package: nginx
 Architecture: all
-Depends: ${misc:Depends}, nginx-full
+Depends: ${misc:Depends}, nginx-full | nginx-light
 Description: small, but very powerful and efficient web server and mail proxy
  Nginx (engine x) is a web server created by Igor Sysoev and kindly provided to
  the open-source community. This server can be used as standalone HTTP server
  and as a reverse proxy server before some Apache or another big server to
  reduce load to backend servers by many concurrent HTTP-sessions.
  .
- This is a dummy package that selects nginx-full.
+ This is a dummy package that selects nginx-full by default, but also can be
+ installed with nginx-light for upgrading to nginx-light directly.
 
 Package: nginx-doc
 Architecture: all
