=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 BASEDIR = $(CURDIR)
 
 DEB_BUILD_ARCH ?=$(shell dpkg-architecture -qDEB_BUILD_ARCH)
-ifneq (,$(findstring sparc,$(DEB_BUILD_ARCH)))
+ifeq ($(DEB_BUILD_ARCH),sparc)
 	CONFIGURE_OPTS = --with-cc-opt="-m32 -mcpu=ultrasparc"
 endif
 
@@ -41,12 +41,11 @@
 	cp -Pa $(CURDIR)/configure $(BUILDDIR_$*)/
 	cp -Pa $(CURDIR)/contrib $(BUILDDIR_$*)/
 	cp -Pa $(CURDIR)/src $(BUILDDIR_$*)/
-ifneq "$(wildcard $(CURDIR)/man)" ""
 	cp -Pa $(CURDIR)/man $(BUILDDIR_$*)/
-endif
 
 config.status.full: config.env.full config.sub config.guess
 	cd $(BUILDDIR_full) && ./configure \
+	    --prefix=/etc/nginx \
 	    --conf-path=/etc/nginx/nginx.conf \
 	    --error-log-path=/var/log/nginx/error.log \
 	    --http-client-body-temp-path=/var/lib/nginx/body \
@@ -73,12 +72,14 @@
 	    --with-md5=/usr/include/openssl \
 	    --with-mail \
 	    --with-mail_ssl_module \
+	    --add-module=$(MODULESDIR)/nginx-echo \
 	    --add-module=$(MODULESDIR)/nginx-upstream-fair \
             $(CONFIGURE_OPTS) >$@
 	touch $@
 
 config.status.light: config.env.light config.sub config.guess
 	cd $(BUILDDIR_light) && ./configure \
+	    --prefix=/etc/nginx \
 	    --conf-path=/etc/nginx/nginx.conf \
 	    --error-log-path=/var/log/nginx/error.log \
 	    --http-client-body-temp-path=/var/lib/nginx/body \
@@ -109,6 +110,7 @@
 
 config.status.extras: config.env.extras config.sub config.guess
 	cd $(BUILDDIR_extras) && ./configure \
+	    --prefix=/etc/nginx \
 	    --conf-path=/etc/nginx/nginx.conf \
 	    --error-log-path=/var/log/nginx/error.log \
 	    --http-client-body-temp-path=/var/lib/nginx/body \
@@ -120,7 +122,6 @@
 	    --lock-path=/var/lock/nginx.lock \
 	    --pid-path=/var/run/nginx.pid \
 	    --with-debug \
-	    --with-file-aio \
 	    --with-http_addition_module \
 	    --with-http_dav_module \
 	    --with-http_flv_module \
@@ -144,7 +145,9 @@
 	    --add-module=$(MODULESDIR)/nginx-upstream-fair \
 	    --add-module=$(MODULESDIR)/nginx-echo \
 	    --add-module=$(MODULESDIR)/nginx-lua \
-	    --add-module=$(MODULESDIR)/nginx-push-0.692 \
+	    --add-module=$(MODULESDIR)/nginx-http-push \
+	    --add-module=$(MODULESDIR)/nginx-upload-progress \
+	    --add-module=$(MODULESDIR)/nginx-secure-download \
             $(CONFIGURE_OPTS) >$@
 	touch $@
 
@@ -212,7 +215,6 @@
 	dh_installchangelogs -a -k CHANGES
 	dh_installdocs -a
 	dh_link -aA
-	dh_lintian -a
 	dh_compress -a
 	dh_perl -a
 	dh_fixperms -a
